### Type parameters

- #### T

### Hierarchy

- ICacheEntry

## Index

### Properties

- key
- ttlSeconds
- value

## Properties

### key

key: string

- Defined in services/CacheService.ts:12

Cache Key, must be unique

### Optional ttlSeconds

ttlSeconds: CacheSeconds<T>

- Defined in services/CacheService.ts:18

Time to Live in seconds, after given ttl object will be removed from cache

### Optional value

value: Promise<any>

- Defined in services/CacheService.ts:28

Cached value

Generated using TypeDoc